Cases from RCS Audio-Systems
You have been filtering for RCS Audio-Systems and therefore you see now only Cases from RCS Audio-Systems displayed.
You can choose other manufacturers on the left side in the menu or get the complete overview.
Cases from RCS Audio-Systems
|
RCS Audio-Systems RFC-010 19 rack" Flight Case , 10U
The RFC-010 is a premium 48,3 cm ( 19 inch ) flight case with 10 rack units (U), designed to meet the highest standards in professional touring, stage, and equipment transport applications. Built ...Lieske Part No.: 140656 Mfg Part No: RFC-010 |
578,55 EUR
![]() ≈ £489.45 | ≈ $646.82
Made to order · Delivery time approx. 20 workdaysinfo_outline
|
|
RCS Audio-Systems RFC-012 48,3 cm ( 19 inch )Rack 'flight case' (12U)
48,3 cm ( 19 inch )FLIGHT CASE RACK body made ​​of plastic, kreuzschichtverleimtem multi-plywood. edge protection made ​​of durable, full perimeter aluminum ...Lieske Part No.: 634930 Mfg Part No: RFC-012 |
598,50 EUR
![]() ≈ £506.33 | ≈ $669.12
Made to order · Delivery time approx. 20 workdaysinfo_outline
|
|
RCS Audio-Systems RFC-015 19 rack" Flight Case , 15 U
Lieske Part No.: 552982 Mfg Part No: RFC-015 |
625,10 EUR
![]() ≈ £528.83 | ≈ $698.86
On order · Delivery time approx. 20 workdaysinfo_outline
|
|
RCS Audio-Systems RFC-020 19 rack" Flight Case , 20 U
The RFC-020 is a professional 19˝ flight case rack, designed for the demanding needs of live touring, stage environments, and safe transport via freight or air shipping. Built to international 19˝ ...Lieske Part No.: 233665 Mfg Part No: RFC-020 |
707,75 EUR
![]() ≈ £598.76 | ≈ $791.26
Made to order · Delivery time approx. 20 workdaysinfo_outline
|
|
RCS Audio-Systems WFC-010 U 19 ? angle Flight Case, 10U
Lieske Part No.: 767093 Mfg Part No: WFC-010 U Type: WFC-010U |
883,50 EUR
![]() ≈ £747.44 | ≈ $987.75
On order · Delivery time approx. 20 workdaysinfo_outline
|
|
RCS Audio-Systems WFC-012 U 19 ? angle Flight Case, 12 U
The WFC-012 U is a heavy-duty, professional-grade 48,3 cm ( 19 inch ) angled flight case with 12 rack units (U), engineered to meet the highest standards for durability, transport protection, and ...Lieske Part No.: 969506 Mfg Part No: WFC-012 U Type: WFC-012U |
912,00 EUR
![]() ≈ £771.55 | ≈ $1,019.62
Made to order · Delivery time approx. 20 workdaysinfo_outline
|
|
RCS Audio-Systems WFC-015 U 19 ? angle Flight Case, 15 U
The WFC-015 U is a professional-grade 48,3 cm ( 19 inch ) angled flight case with 15 rack units (U) and an extra-deep 500 mm internal space, built to meet the highest standards for strength, ...Lieske Part No.: 762413 Mfg Part No: WFC-015 U Type: WFC-015U |
935,75 EUR
![]() ≈ £791.64 | ≈ $1,046.17
Made to order · Delivery time approx. 20 workdaysinfo_outline
|
|
RCS Audio-Systems WFC-020 U 19 ? angle Flight Case, 20 U
The WFC-020 U is a heavy-duty, large-capacity 48,3 cm ( 19 inch ) angled flight case with 20 rack units (U), designed for professional use in touring, live events, trade shows, and global freight ...Lieske Part No.: 998751 Mfg Part No: WFC-020 U Type: WFC-020U |
995,60 EUR
![]() ≈ £842.28 | ≈ $1,113.08
Made to order · Delivery time approx. 20 workdaysinfo_outline
|
Why Industry-Electronics?
| ► B2B specialistExclusively trade customers – no retail compromises. Individual pricing, net purchase on account, EDI integration on request. | ► 625,000+ itemsBroad range covering event technology, PA, lighting and accessories – one supplier for your entire stage and event infrastructure. | ► Expert adviceTechnical consultation from experienced staff – by phone and e-mail. Leasing arrangements for larger investments on request. |






